* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-size: 20px;
}

body {
  background-color: #f8ceec;
  background-image: linear-gradient(315deg, #fdb7e9 0%, #9877e6 74%);
  color: #fff;
  font-family: "Poppins", sans-serif;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
}

header {
  min-height: 10vh;
  display: flex;
  margin-top: 10%;
  justify-content: center;
  align-items: center;
}

header h1 {
  font-size: 5rem;
  font-family: "Inria Sans", sans-serif;
}

main form {
  min-height: 20vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

main form input,
main form button {
  padding: 0.5rem;
  font-size: 1.5rem;
  border: none;
  background-color: #eae1ff;
  border-radius: 10px;
  border-bottom-right-radius: 0;
  border-top-right-radius: 0;
}

main form button {
  color: #6e3de2;
  background-color: #eae1ff;
  cursor: pointer;
  transition: all 0.3s ease;
  border-radius: 10px;
  border-bottom-left-radius: 0;
  border-top-left-radius: 0;
}

main form button:hover {
  background: #6e3de2;
  color: #eae1ff;
}

main form button i {
  font-size: 1.5rem;
}

.todo-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.todo-container .todo-list {
  width: 600px;
  list-style: none;
}

.todo-container .todo-list .todo {
  margin: 0.5rem;
  background-color: #eae1ff;
  color: #000;
  font-size: 1.3rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: all 0.5s ease;
  border-radius: 10px;
}

.todo-container .todo-list .todo li {
  flex: 1;
}

.delete-btn,
.complete-btn {
  background: #eae1ff;
  color: #d64b4b;
  border: none;
  padding: 1rem;
  cursor: pointer;
  font-size: 1rem;
}

.complete-btn {
  background: #eae1ff;
  color: #6e3de2;
}

.delete-btn {
  border-bottom-right-radius: 10px;
  border-top-right-radius: 10px;
}

.todo-item {
  padding: 0 0.5rem;
}

.fa-trash,
.fa-check {
  pointer-events: none;
}

.completed {
  text-decoration: line-through;
  opacity: 0.5;
}

.fall {
  transform: translateY(8rem) rotateZ(20deg);
  opacity: 0;
}

select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  outline: none;
  border: none;
}

.select {
  margin: 1rem;
  position: relative;
  overflow: hidden;
}

.select select {
  color: #6e3de2;
  background: #eae1ff;
  width: 10rem;
  cursor: pointer;
  padding: 0.75rem;
  border-radius: 10px;
}

.select::after {
  content: "\25BC";
  position: absolute;
  background: #eae1ff;
  color: #6e3de2;
  top: 0;
  right: 0;
  padding: 0.8rem;
  pointer-events: none;
  border-bottom-right-radius: 10px;
  border-top-right-radius: 10px;
}

.select:hover::after {
  color: #eae1ff;
  background: #6e3de2;
  transition: all 0.3s ease;
}

footer {
  position: absolute;
  bottom: 10px;
  text-align: center;
}

@media all and (max-width: 600px) {
  header h1 {
    font-size: 4rem;
  }
  main form {
    flex-wrap: wrap;
    width: 100%;
    flex-direction: column;
  }
  main form input,
main form button {
    padding: 0.5rem;
    font-size: 0.8rem;
    border-radius: 10px;
    margin-top: 1rem;
  }
  main form input {
    width: 90vw;
  }
  main form button i {
    font-size: 0.8rem;
    padding: 0 0.5rem;
  }
  main form button::before {
    content: "Add Task ";
    position: relative;
    font-weight: 550;
  }
  .select {
    margin: 1rem;
  }
  .select select {
    color: #6e3de2;
    background: #eae1ff;
    width: 6rem;
    font-size: 0.8rem;
    padding: 0.4rem;
  }
  .select::after {
    padding: 0.4rem;
    font-size: 0.8rem;
  }
  .todo-container .todo-list {
    width: 90vw;
  }
  .todo-container .todo-list .todo {
    margin: 0.3rem;
    font-size: 0.8rem;
  }
  .todo-container .todo-list .todo li {
    flex: 1;
  }
  .delete-btn,
.complete-btn {
    padding: 0.5rem;
    font-size: 0.8rem;
  }
  .todo-item {
    padding: 0 0.5rem;
  }
}
